<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-title>New Offer</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
    <ion-grid class="ion-padding">
        <ion-row>
            <ion-col size="12">
                <form [formGroup]="form">
                    <h3>Information</h3>
                    <ion-item>
                        <ion-input formControlName="title" placeholder="Title" type="text"></ion-input>
                    </ion-item>
                    <ion-item>
                        <ion-select formControlName="type" placeholder="Type">
                            <ion-select-option value="0">Remote</ion-select-option>
                            <ion-select-option value="1">Face To Face</ion-select-option>
                        </ion-select>
                    </ion-item>
                    <ion-row>
                        <ion-col class="no-pl" size="6">
                            <ion-item>
                                <ion-select formControlName="priority" placeholder="Priority">
                                    <ion-select-option value="2">High</ion-select-option>
                                    <ion-select-option value="1">Moderate</ion-select-option>
                                    <ion-select-option value="0">Low</ion-select-option>
                                </ion-select>
                            </ion-item>
                        </ion-col>
                        <ion-col class="no-pr" size="6">
                            <ion-item>
                                <ion-select formControlName="period" placeholder="Period">
                                    <ion-select-option value="1">Long(more than 2 weeks)</ion-select-option>
                                    <ion-select-option value="0">Short(less than 2 weeks)</ion-select-option>
                                </ion-select>
                            </ion-item>
                        </ion-col>
                    </ion-row>
                    <ion-item>
                        <ion-textarea formControlName="description" placeholder="Description" rows="3"></ion-textarea>
                    </ion-item>

                    <h3>Location</h3>
                    <ion-item>
                        <ion-input formControlName="address" placeholder="Address" type="text"></ion-input>
                    </ion-item>
                    <ion-item>
                        <ion-input formControlName="city" placeholder="City" type="text"></ion-input>
                    </ion-item>
                </form>


                <h3>Categories</h3>
                <ion-list>
                    <ion-item *ngFor="let c of categories">
                        <ion-label>{{c.val}}</ion-label>
                        <ion-checkbox [(ngModel)]="c.isChecked" slot="end"></ion-checkbox>
                    </ion-item>
                </ion-list>
                <br>
                <div class="upload">
                    <ion-button fill="solid" (click)="presentConfirm()">
                        <ion-icon size="large" name="camera"></ion-icon>
                    </ion-button>
                </div>
                <br>
                <ion-button expand="block" mode="ios" (click)="submit()"> Submit</ion-button>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>
